package com.xiaofang520.codes.demo;

import java.io.*;
import java.util.Objects;

/**
 * 实现文件读行并替换
 *
 * @author Gao
 * @date 2022/6/22 15:19
 */
public class FileReaderOrWriterTest {

    public static void main(String[] args) throws IOException {
        String filePath = Objects.requireNonNull(Thread.currentThread().getContextClassLoader()
                .getResource("testdir")).getPath()+File.separator+"test.properties";
        //数据流读取文件
        BufferedReader bufReader= new BufferedReader(new FileReader(filePath));
        StringBuilder stringBuffer = new StringBuilder();
        while (bufReader.ready()){
            String line = bufReader.readLine().replace("name=zhangsan", "name=lisi").replace("age=20","age=18");
            stringBuffer.append(line);
            stringBuffer.append("\n");
        }
        bufReader.close();
        BufferedWriter bufWriter = new BufferedWriter(new FileWriter(filePath));
        bufWriter.write(stringBuffer.toString());
        bufWriter.flush();
        bufWriter.close();
    }
}
